//
// BeInternetCentral
// NewsView class
//
// (c) 1997 Hubert Figuiere
// figuiere@kagi.com
//
// 27june1997
//
// 010797 HF


#include "app/BICApplication.h"
#include "app/BICWindow.h"
#include "app/BICCommands.h"
#include "app/NewsView.h"
#include "sdk/libbic.h"
#include "sdk/BICKeyNames.h"


/////////////////////////////////////////////////////
NewsView::NewsView(BRect frame)
	: TopicView(frame, "News")
{
	
}


/////////////////////////////////////////////////////
void NewsView::AttachedToWindow(void)
{
	#define KEY_LEN 256
	
	inherited::AttachedToWindow();
	ssize_t size;
	char aRegKey [KEY_LEN + 1];
	status_t err;
	BTextControl * aTextField;
	BRect viewBounds = Bounds();
	BRect aRect;

	aRect.Set(10, 20, viewBounds.right - 10, 36);
	//********** Insert key retrieval here
	size = KEY_LEN;
	if (gBicPresent) {
		err = gBicRegistry->GetKey(KEY_NNTP_SERVER, "", aRegKey, size);
	}
	aTextField = new BTextControl(aRect, "", "News Server :", "", 
			BICWindow::MakeCommandMessage(NNTPSERVER_CHANGED));
	mBox->AddChild(aTextField);		
	aTextField->SetTarget(Window());
	aTextField->SetDivider(100.);
	aTextField->SetText(aRegKey);
	
	aRect.top = aRect.bottom + 10;
	aRect.bottom = aRect.top + 16;
	//********** Insert key retrieval here
	size = KEY_LEN;
	if (gBicPresent) {
		err = gBicRegistry->GetKey(KEY_NNTP_LOGIN, "", aRegKey, size);
	}
	aTextField = new BTextControl(aRect, "", "Login :", "", 
			BICWindow::MakeCommandMessage(NNTPLOGIN_CHANGED));
	mBox->AddChild(aTextField);		
	aTextField->SetTarget(Window());
	aTextField->SetDivider(100.);
	aTextField->SetText(aRegKey);
	
	aRect.top = aRect.bottom + 10;
	aRect.bottom = aRect.top + 16;
	//********** Insert key retrieval here
	size = KEY_LEN;
	if (gBicPresent) {
		err = gBicRegistry->GetKey(KEY_NNTP_PASSWORD, "", aRegKey, size);
	}
	aTextField = new BTextControl(aRect, "", "Password :", "", 
			BICWindow::MakeCommandMessage(NNTPPASSWORD_CHANGED));
	mBox->AddChild(aTextField);		
	aTextField->SetTarget(Window());
	aTextField->SetDivider(100.);
	aTextField->SetText(aRegKey);
}
